API Reference / Contacts

POST /contacts/{contact_id}/notes

Create a note for a specific contact

Logs a note against this contact. text carries the note body; link a deal with linked_deal_id. Logging a note updates the contact's last activity date.

Path parameters

Name Type Description
contact_id req string Contact ID

Request body

  • textstring

    Extra details related to the note(supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

  • datestringdate

    Creation date of the note. Defaults to today's date.

  • linked_deal_idstringbson-id
  • user_ids_to_notifyarray<string>

    A list of user IDs to notify

Responses

201 Created
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields →
    • noteobject

      Allow you to keep track of additional information related to your contacts. Notes can include any information you feel is relevant e.g. interactions with that contact. Notes support file attachments.

      object fields →
      • idstringbson-id

        ID of the note

      • contact_idstringbson-idrequired

        ID of the contact, to whom the note belongs

      • textstringrequired

        Extra details related to the note(supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

      • datestringdate

        Creation date of the note. Defaults to today's date.

      • linked_deal_idstringbson-id

        ID the of the deal, to which the note is linked (`null` if no linked deal)

      • linked_deal_namestring

        Name of the deal, to which the note is linked (`""` if no linked deal)

      • authorstring

        Shortened name of the creator of the note. Defaults to the logged API user.

      • attachmentsarray<object>

        Files attached to the note.

        array item fields →
        • idstringbson-id

          ID of the attachment

        • filenamestringrequired

          Name of the attachment file

        • custom_filenamestring

          Custom name of the attachment file

        • pinnedboolean

          Show if the attachment is pinned to its owner contact

        • pinned_atstring

          Shows pinned at timestamp. Is null if pinned == false

        • sizeintegerint32required

          Size of the attachment file (in bytes)

        • storage_providerstring

          Name of the storage provider (where the attachment file is stored)

          enum: amazon · google_drive · dropbox · evernote

        • urlstring

          External URL of the attachment file

        • url_expires_atstringdate-time

          The time the attachment URL expires

        • thumbnailobject

          An image preview of the attachment file (if one exists)

          object fields →
          • urlstring

            External URL of the attachment's thumbnail

      • created_atstringdate-time

        Creation time of the note

      • modified_atstringdate-time

        Last modification time of the note

Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.

Related guides